      subroutine upstrg(str$,istrln)                                    UPST001
c ----------------------------------------------------------------------UPST002
c converts string str$ of lenght istrlen to upcase                      UPST003
c ----------------------------------------------------------------------UPST004
c     This program module is part of the PhysiSoft X-ray Library        UPST005
c     and may not be sold or reproduced for commercial purposes.        UPST006
c     Although it has been tested carefully, there is no warranty       UPST007
c     regarding accuracy or freedom from side-effects.                  UPST008
c                   (C) 1986-1990 Bernhard Rupp                         UPST009
c ----------------------------------------------------------------------UPST010
WINNT - used by BPLOT,TPLOT,PPLOT                                       UPST011
      character str$(istrln)                                            UPST012
      integer      iascii                                               UPST013
C-----change to upper case                                              UPST014
         do 3031 i=1,istrln                                             UPST015
            if (ichar(str$(i)).ge.95.and.ichar(str$(i)).le.122) then    UPST016
               iascii=ichar(str$(i))-32                                 UPST017
               str$(i)=char(iascii)                                     UPST018
            endif                                                       UPST019
 3031    continue                                                       UPST020
      return                                                            UPST021
      end                                                               UPST022
                                                                        UPST023
                                                                        UPST024
